Seedance 1.0 Pro Text-to-Video
For the seedance-1-0-pro-250528 model. After submitting, query status via GET /v1/videos/{task_id}.
Authorizations
Pass Authorization: Bearer <token> in the request header.
Body
The ID of the model you need to call (Model ID)
seedance-1-0-pro-250528 Multimodal input array. 1.0 Pro supports text, first_frame, and last_frame.
Video duration, integer only, in seconds.
- Seedance 1.0 pro, Seedance 1.0 pro fast: [2, 12] s.
- Seedance 1.5 pro: [4, 12] or set to -1
- Seedance 2.0 series: [4, 15] or set to -1
Note
Seedance 2.0 series and Seedance 1.5 pro support two configuration methods:
- Specify exact duration: Any integer within the valid range.
- Smart mode: Set to -1 to let the model choose the appropriate video length (in whole seconds) within the valid range. The actual generated video duration can be obtained from the duration field returned by the query video generation task API. Note that video duration is related to billing, so set it carefully.
2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12 "5"
Seedance 2.0 series and Seedance 1.5 pro default:
720pSeedance 1.0 pro & pro-fast default:1080p
Video resolution. Enum values:
- 480p
- 720p
- 1080p: Not supported by Seedance 2.0 Fast and Seedance 2.0 Mini.
- 4k: Only supported by Seedance 2.0
480p, 720p, 1080p Seedance 2.0 series and Seedance 1.5 pro default:
adaptiveOther models: Text-to-Video default16:9, Image-to-Video defaultadaptive
The aspect ratio of the generated video. See the table below for pixel dimensions for different aspect ratios.
- 16:9
- 4:3
- 1:1
- 3:4
- 9:16
- 21:9
- adaptive: Automatically selects the most suitable aspect ratio based on input (see details below)
adaptive Rules
When ratio is set to adaptive, the model automatically adjusts the aspect ratio based on the generation scenario. The actual video aspect ratio can be obtained from the ratio field returned by the query video generation task API.
****Supported models:
- Seedance 2.0 series, Seedance 1.5 Pro supported
- Other models only supported in Image-to-Video scenarios
****Rules:
- Text-to-Video:Based on the input prompt, intelligently selects the most suitable aspect ratio.
- First Frame / First & Last Frame: Automatically selects the closest aspect ratio based on the uploaded first frame image ratio.
- Multimodal Reference-to-Video: Determines based on user prompt intent. If it is first-frame video/editing video/extending video, selects the closest aspect ratio based on that image/video; otherwise, selects the closest aspect ratio based on the first media file (priority: video > image).
Pixel dimensions corresponding to different aspect ratios
Note: For Image-to-Video, if the selected aspect ratio does not match the uploaded image ratio, the platform will crop your image from the center.
16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive Temporarily not supported by Seedance 2.0 series
Seed integer for controlling the randomness of generated content. Range: integer in [-1, 2^32-1].
Notes:
- With the same request, if the model receives different seed values (e.g., not specifying a seed, setting seed to -1 which uses a random number, or manually changing the seed value), different results will be generated.
- With the same request, if the model receives the same seed value, similar results will be generated, but exact consistency is not guaranteed.
-1 <= x <= 4294967295Not supported in reference image scenarios, temporarily not supported by Seedance 2.0 series
Whether to fix the camera.
- true: Fix the camera. The platform will append fixed camera instructions to the user prompt, but the actual effect is not guaranteed.
- false: Do not fix the camera.
Whether the generated video contains a watermark.
- false: The generated video does not contain a watermark.
- true: The generated video displays an "AI Generated" watermark in the bottom-right corner.
true: Return the last frame image of the generated video. When set to true, you can obtain the last frame image through the query video generation task API. The last frame image is in PNG format with the same pixel dimensions as the generated video, without watermarks.
Use this parameter to generate multiple consecutive videos: use the last frame of one video as the first frame of the next video task to quickly generate a sequence of consecutive videos.
false: Do not return the last frame image of the generated video.
Response
Submission successful, returns video task object.
Video generation task ID. Only stored for 7 days (from the created_at timestamp), then automatically deleted.
- When draft: true, this is the Draft video task ID.
- When draft: false, this is the normal video task ID.
Video generation is asynchronous. After obtaining the ID, use the query video generation task API to check the status. When successful, the API returns the generated video URL.